import { EventBus, ListenerCallback, ListenerOptions } from '.';
export declare abstract class Dispatcher {
    abstract get eventBus(): EventBus;
    get signal(): AbortSignal | undefined;
    on(name: string | string[], listener: ListenerCallback, options?: ListenerOptions): void;
    off(name: string, listener?: ListenerCallback): void;
    dispatch(name: string, data?: {}): void;
}
